#
# spec file for package pipslite (Version 1.0.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base aalib acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel cdparanoia coreutils cpio cpp cracklib cups-devel cups-libs cvs cyrus-sasl db db1 db1-devel dbus-1 dbus-1-glib desktop-translations diffutils e2fsprogs e2fsprogs-devel esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gail gawk gcc gcc-c++ gconf gconf2 gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext gettext-devel giflib gimp gimp-devel glib glib-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-filesystem gnome-icon-theme gnome-keyring gnome-libs gnome-libs-devel gnome-vfs gnome-vfs-devel gnome-vfs2 gpm grep groff gtk gtk-devel gtk2 gtk2-devel gxmhtml gzip hal imlib imlib-devel indent info insserv klogd less libacl libart_lgpl libattr libbonobo libbonoboui libcom_err libcroco libdrm libexif libgcc libgimpprint libglade2 libgnome libgnomecanvas libgnomeprint libgnomeprintui libgnomesu libgnomeui libgphoto2 libgsf libgtkhtml libieee1284 libjpeg libjpeg-devel liblcms libmng libnscd libpng libpng-devel librsvg libstdc++ libstdc++-devel libtiff libtiff-devel libtool libusb libwmf libxcrypt libxml libxml-devel libxml2 libzio m4 mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg oaf oaf-devel openldap2-client openmotif-libs openssl openssl-devel orbit orbit-devel orbit2 pam pam-modules pango pango-devel patch perl permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sane sed shared-mime-info slang strace sysvinit tar tcpd texinfo timezone udev unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           pipslite
BuildRequires:  cups-devel db1-devel e2fsprogs-devel esound-devel gcc-c++ gdk-pixbuf-devel gimp-devel gnome-common gnome-vfs gnome-vfs-devel libjpeg-devel libtiff-devel libxml-devel oaf-devel openssl-devel popt-devel sane update-desktop-files
Url:            http://www.avasys.jp/english/linux_e/index.html
# RPM made by Epson Avasys is also available:
# http://lx2.avasys.jp/pips/lite1.0.0/pipslite-cups-1.0.0-1.i386.rpm
License:        GPL, LGPL
Group:          Hardware/Scanner
Autoreqprov:    on
Summary:        Photo Image Print System Lite
# URL for Source0: http://lx2.avasys.jp/pips/lite1.0.0/pipslite-1.0.0.tar.gz
# This source contains a binary-only library lib/liblite.so
# and the matching proprietary license files EAPL.en.txt and EAPL.ja.txt
# which are all removed because with Patch4 it can also build liblite.so
# from the free sources so that there is no need for the proprietary stuff. 
Source0:        pipslite-1.0.0.tar.bz2
Version:        1.0.0
Release:        1
# Patch0 fixes GCC4 "invalid lvalue in assignment" errors:
Patch0:         fix-invalid_lvalue_in_assignment.diff
# Patch1 fixes a "label at end of compound statement" error in ekpstm/main.c:
Patch1:         fix-ekpstm-main.c.diff
# Patch2 fixes a "conflicting types for 'inkbox_get_inkid'" error in ekpstm/inkbox.c:
Patch2:         fix-ekpstm-inkbox.h.diff
# Patch3 changes the /usr/local/EPAva/ directory to /usr/share/EPAva/ in configure.in:
Patch3:         configure.in.diff
# Patch4 disables the installation of a binary-only liblite.so in lib/Makefile.am:
Patch4:         lib-Makefile.am.diff
# Patch5 changes the '/var/ekpd' to '/var/run' in ekpd/Makefile.am:
Patch5:         ekpd-Makefile.am.diff
# See the post and triggerin sections what is pre-required:
PreReq:         coreutils, /bin/grep, /bin/sed
# Install into this non-root directory (required when norootforbuild is used):
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# Skip testing devel dependencies required by libtool .la files by the following comment:
# skip-check-libtool-deps
%debug_package
%prep
# Be quiet when unpacking:
%setup -q
# Patch0 fixes GCC4 "invalid lvalue in assignment" errors:
%patch0
# Patch1 fixes a "label at end of compound statement" error in ekpstm/main.c:
%patch1
# Patch2 fixes a "conflicting types for 'inkbox_get_inkid'" error in ekpstm/inkbox.c:
%patch2
# Patch3 changes the '/usr/local/EPAva/' directory to '/usr/share/EPAva/' in configure.in:
%patch3
# Change any hardcoded 'local/EPAva' to 'share/EPAva' in any regular file in the sources
# (unfortunately Patch3 is not sufficient):
for f in $( find . -type f )
do sed -i -e 's|local/EPAva|share/EPAva|g' $f
done
# Patch4 disables the installation of a binary-only liblite.so in lib/Makefile.am:
%patch4
# Patch5 changes the '/var/ekpd' to '/var/run' in ekpd/Makefile.am:
# (because creating a sub-directory ekpd/ in /var/ is not allowed):
%patch5
# Change any hardcoded '/var/ekpd/ekplp0' to '/var/run/ekplp0' in any regular file in the sources
# (unfortunately Patch5 is not sufficient):
for f in $( find . -type f )
do sed -i -e 's|/var/ekpd/ekplp0|/var/run/ekplp0|g' $f
done

%build
autoreconf -fi
# Set our preferred architecture-specific flags for the compiler and linker:
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
# See /usr/lib/rpm/suse_macros regarding our RPM macros (e.g. sysconfdir is /etc):
./configure --prefix=%{_prefix} \
            --sysconfdir=%{_sysconfdir} \
            --mandir=%{_mandir} \
            --libdir=%{_libdir} 
make

%install
make install DESTDIR=${RPM_BUILD_ROOT}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING COPYING.LIB AUTHORS NEWS ChangeLog
%config %{_sysconfdir}/ekpdrc
%{_bindir}/ekpstm
%{_bindir}/pipslite
%dir %{_libdir}/cups
%dir %{_libdir}/cups/backend
%{_libdir}/cups/backend/ekplp
%dir %{_libdir}/cups/filter
%{_libdir}/cups/filter/pipstoprinter
%{_libdir}/cups/filter/rastertopips
%{_libdir}/liblite.*
%{_datadir}/EPAva/
%{_datadir}/locale/*/LC_MESSAGES/pipslite.mo
%{_var}/run/ekplp0

%description
Photo Image Print System Lite


Authors:
--------
    EPSON AVASYS corporation. <http://www.avasys.jp/>



%changelog -n pipslite
* Wed Apr 05 2006 - jsmeix@suse.de
- initial version
